/**********************************************************************
 *
 * phindbrowserclass.h -- 
 *
 * Copyright (C) 2000 The New Zealand Digital Library Project
 *
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/

// The phindbrowserclass is necessary to add a phind classifier to the user
// interface and navigation bar, but is basically empty - all the work is
// done in documentaction.cpp and in the document.dm macro file.  What
// happens is that documentaction.cpp has a section that sets various
// macros when the document in question is a phind classifier; thse are in
// turn used by the macro file to load the applet into the web page.

#ifndef PHINDBROWSERCLASS_H
#define PHINDBROWSERCLASS_H

#include "browserclass.h"

class phindbrowserclass : public browserclass {
protected:

public:

  phindbrowserclass ();
  virtual ~phindbrowserclass ();

  // returns the name that specifies the browserclass type
  virtual text_t get_browser_name ();

};

#endif
